Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_AV_TCP_Transport Class Reference

A transport abstraction for socket streams. Uses the ACE_SOCK_Stream to send the data. More...

`#include <TCP.h>`

Inheritance diagram for TAO_AV_TCP_Transport:

[legend]
Collaboration diagram for TAO_AV_TCP_Transport:

[legend]
List of all members.

## Public Methods

| TAO_AV_TCP_Transport (void)
| TAO_AV_TCP_Transport (TAO_AV_TCP_Flow_Handler *handler)
virtual | ~TAO_AV_TCP_Transport (void)
virtual int | open (ACE_Addr *address)
virtual int | close (void)
virtual int | mtu (void)
| Write the complete Message_Block chain to the connection.
virtual ACE_Addr * | get_peer_addr (void)
virtual ssize_t | send (const ACE_Message_Block *mblk, ACE_Time_Value *s=0)
| Write the complete Message_Block chain to the connection.
virtual ssize_t | send (const char *buf, size_t len, ACE_Time_Value *s=0)
| Write the contents of the buffer of length len to the connection.
virtual ssize_t | send (const iovec *iov, int iovcnt, ACE_Time_Value *s=0)
| Write the contents of iovcnt iovec's to the connection.
virtual ssize_t | recv (char *buf, size_t len, ACE_Time_Value *s=0)
| Read len bytes from into buf.
virtual ssize_t | recv (char *buf, size_t len, int flags, ACE_Time_Value *s=0)
| Read len bytes from into buf using flags.
virtual ssize_t | recv (iovec *iov, int iovcnt, ACE_Time_Value *s=0)
| Read received data into the iovec buffers.

## Protected Attributes

TAO_AV_TCP_Flow_Handler * | handler_

## Detailed Description

A transport abstraction for socket streams. Uses the ACE_SOCK_Stream to send the data.

## Constructor & Destructor Documentation

TAO_AV_TCP_Transport::TAO_AV_TCP_Transport | ( | void |  | ) |

TAO_AV_TCP_Transport::TAO_AV_TCP_Transport | ( | TAO_AV_TCP_Flow_Handler * | handler | ) |

TAO_AV_TCP_Transport::~TAO_AV_TCP_Transport | ( | void |  | ) | `[virtual]`

## Member Function Documentation

int TAO_AV_TCP_Transport::close | ( | void |  | ) | `[virtual]`

| Implements TAO_AV_Transport.

ACE_Addr * TAO_AV_TCP_Transport::get_peer_addr | ( | void |  | ) | `[virtual]`

| Implements TAO_AV_Transport.

int TAO_AV_TCP_Transport::mtu | ( | void |  | ) | `[virtual]`

| Write the complete Message_Block chain to the connection. Implements TAO_AV_Transport.

int TAO_AV_TCP_Transport::open | ( | ACE_Addr * | address | ) | `[virtual]`

| Implements TAO_AV_Transport.

ssize_t TAO_AV_TCP_Transport::recv | ( | iovec * | iov,
|  | int | iovcnt,
|  | ACE_Time_Value * | s = 0
| ) | `[virtual]`

| Read received data into the iovec buffers. Implements TAO_AV_Transport.

ssize_t TAO_AV_TCP_Transport::recv | ( | char * | buf,
|  | size_t | len,
|  | int | flags,
|  | ACE_Time_Value * | s = 0
| ) | `[virtual]`

| Read len bytes from into buf using flags. Implements TAO_AV_Transport.

ssize_t TAO_AV_TCP_Transport::recv | ( | char * | buf,
|  | size_t | len,
|  | ACE_Time_Value * | s = 0
| ) | `[virtual]`

| Read len bytes from into buf. Implements TAO_AV_Transport.

ssize_t TAO_AV_TCP_Transport::send | ( | const iovec * | iov,
|  | int | iovcnt,
|  | ACE_Time_Value * | s = 0
| ) | `[virtual]`

| Write the contents of iovcnt iovec's to the connection. Implements TAO_AV_Transport.

ssize_t TAO_AV_TCP_Transport::send | ( | const char * | buf,
|  | size_t | len,
|  | ACE_Time_Value * | s = 0
| ) | `[virtual]`

| Write the contents of the buffer of length len to the connection. Implements TAO_AV_Transport.

ssize_t TAO_AV_TCP_Transport::send | ( | const ACE_Message_Block * | mblk,
|  | ACE_Time_Value * | s = 0
| ) | `[virtual]`

| Write the complete Message_Block chain to the connection. Implements TAO_AV_Transport.

## Member Data Documentation

TAO_AV_TCP_Flow_Handler* TAO_AV_TCP_Transport::handler_`[protected]`

The documentation for this class was generated from the following files:

- TCP.h
- TCP.cpp